# hey Emacs, its -*- rpm-spec -*-
# $Id: php-dba,v 1.42 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001-2002 Alexander Bokovoy <ab@altlinux.ru>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define		package_name	dba
###############################################################

Name:	 	php-%package_name
Version:	4.3.0
Release:	alt0.cvs20030207
Group:		System/Servers
Requires:	libgdbm, db4
License:	PHP Licence
Prereq:		php-common >= 1:%version-%release
BuildRequires:  php-devel >= 1:%version-%release, libgdbm-devel libdb4-devel
Summary:	DBA (gdbm, db4) module for PHP4
%add_serial php-devel
Patch: php-dba.patch

%description
The php-%package_name includes a dynamic shared object (DSO) that adds 
gdbm and db4 support to PHP4.  

These functions build the foundation for accessing Berkeley DB style
databases. This is a general abstraction layer for several file-based
databases. As such, functionality is limited to a subset of features
modern databases such as Sleepycat Software DB4 support. The behaviour 
of various aspects depend on the implementation of the underlying 
database. Functions such as dba_optimize() and dba_sync() will do 
what they promise for one database and will do nothing for others.

PHP4 is an HTML-embedded scripting language. If you need db4 or
gdbm support for PHP4 applications, you will need to install this
package in addition to the php package.

%prep
%setup -T -c
cp -pr /usr/src/php-devel/extensions/%package_name/* .
#%%patch -p1

%build
# Fix includes so that local config header file will always supercede global options
#for j in `ls *.c` ; do
#    perl -pi -e "s/#include \"php.h\"/#include \"php.h\"
#include \"config.h\"/" $j
#done
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir}"
#" -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; 
export CFLAGS  

%configure \
			--with-gdbm \
			--with-db4=/usr \
			--enable-dba=shared 
%php_make

%install
%php_make install 

%clean

%files
%{_libdir}/php/extensions/*
%doc CREDITS

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes
- added DB4 support
- removed DB2 and DB3 support

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt6
- Fix permissions
- Replace BuildReq: gdbm-devel with libgdbm-devel

* Sat Nov 09 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Mon Apr 01 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild against DB4

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec clean-ups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6
- Curl extension rolled back to RC1 due postponed integration of autoconf 2.50

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- PHP 4.0.6 Release Candidate 1
- Dependencies fixed because curl >= 7.7.3-alt2 is required now

* Tue May 08 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.5-alt1
- PHP 4.0.5 release

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild with fixed version of PHP4

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure
* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
